#ifndef PANE_H
#define PANE_H

class Pane
{
public:
    Pane()
    {
        m_x = 0;
        m_y = 0;
        m_width = 0;
        m_height = 0;
    }

    virtual void move(int x, int y)
    {
        m_x = x;
        m_y = y;
    }

    virtual void resize(int width, int height)
    {
        m_width = width;
        m_height = height;
    }

    int win_x(int offset)
    {
        return m_x + offset;
    }

    int win_y(int offset)
    {
        return m_y + offset;
    }

protected:
    int m_x;
    int m_y;
    int m_width;
    int m_height;
};

#endif
